getAllUsers
curl --request GET \
--url https://api.artemis.cynopsis.co/api/user \
--header 'Authorization: Bearer <token>'{
"content": [
{
"address": "<string>",
"avatar": "<string>",
"bio": "<string>",
"colorCode": "<string>",
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"avatar": "<string>",
"colorCode": "<string>",
"email": "<string>",
"firstName": "<string>",
"id": 123,
"lastName": "<string>"
},
"email": "<string>",
"enabledTwoFactorAuth": true,
"firstName": "<string>",
"id": 123,
"lastAccessed": "<string>",
"lastName": "<string>",
"locked": true,
"phone": "<string>",
"role": "<string>",
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"avatar": "<string>",
"colorCode": "<string>",
"email": "<string>",
"firstName": "<string>",
"id": 123,
"lastName": "<string>"
},
"verified": true
}
],
"empty": true,
"first": true,
"last": true,
"number": 123,
"numberOfElements": 123,
"pageable": {
"offset": 123,
"pageNumber": 123,
"pageSize": 123,
"paged": true,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"unpaged": true
},
"size": 123,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"totalElements": 123,
"totalPages": 123
}user-controller
getAllUsers
GET
/
api
/
user
getAllUsers
curl --request GET \
--url https://api.artemis.cynopsis.co/api/user \
--header 'Authorization: Bearer <token>'{
"content": [
{
"address": "<string>",
"avatar": "<string>",
"bio": "<string>",
"colorCode": "<string>",
"createdAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"createdBy": {
"avatar": "<string>",
"colorCode": "<string>",
"email": "<string>",
"firstName": "<string>",
"id": 123,
"lastName": "<string>"
},
"email": "<string>",
"enabledTwoFactorAuth": true,
"firstName": "<string>",
"id": 123,
"lastAccessed": "<string>",
"lastName": "<string>",
"locked": true,
"phone": "<string>",
"role": "<string>",
"updatedAt": {
"date": 123,
"day": 123,
"hours": 123,
"minutes": 123,
"month": 123,
"nanos": 123,
"seconds": 123,
"time": 123,
"timezoneOffset": 123,
"year": 123
},
"updatedBy": {
"avatar": "<string>",
"colorCode": "<string>",
"email": "<string>",
"firstName": "<string>",
"id": 123,
"lastName": "<string>"
},
"verified": true
}
],
"empty": true,
"first": true,
"last": true,
"number": 123,
"numberOfElements": 123,
"pageable": {
"offset": 123,
"pageNumber": 123,
"pageSize": 123,
"paged": true,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"unpaged": true
},
"size": 123,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"totalElements": 123,
"totalPages": 123
}Authorizations
OAuth2_Client_CredentialsOAuth2_Password
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
search
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
